<?php
if (!defined('ABSPATH')) exit; // Exit if accessed directly

// Register the menu and submenus to admin panel
class RP_Spintax_Post_Creator_Register_Menu{
    
    function __construct() {
        add_action('admin_menu', array($this,'setup_admin_panel'));
    }
    
    function setup_admin_panel(){
        $slug = "rp-spintax-post-creator-menu";

        add_menu_page(
            "RP Spintax",
            "RPSpintax",
            "manage_options",
            $slug,
            array($this, "register_creator_page"),
            'dashicons-admin-page',
            100
        );

        add_submenu_page(
            $slug,
            __('CREATOR', 'rp-spintax-post-creator') . ' | RP Spintax',
            __('Creator', 'rp-spintax-post-creator'),
            "manage_options",
            "rp-spintax-post-creator-menu",
            array($this, "register_creator_page"),
            1
        );
    }

    // Pages callbacks
    function register_creator_page(){
        require_once plugin_dir_path(__FILE__) . 'pages/creator_page.php';
    }

}

new RP_Spintax_Post_Creator_Register_Menu();