<?php 
/*
Plugin Name: RP Spintax Post Creator
Plugin URI: https://wordpress.org/plugins/rp-spintax-post-creator/
Description: Create posts and pages by spintax text
Author: Rober Peña
Author URI: https://roberpena.com/
Version: 1.0.1
License: GPL2 or later
Text Domain: rp-spintax-post-creator
Domain Path: /languages
*/

if (!defined('ABSPATH')) exit; // Exit if accessed directly

// Define Plugin Version
if(! defined('RP_SPINTAX_POST_CREATOR_VERSION')){
    define('RP_SPINTAX_POST_CREATOR_VERSION', '1.0.1');
}

// Required Files
require_once plugin_dir_path(__FILE__) . 'inc/register.php';
require_once plugin_dir_path(__FILE__) . 'inc/worker.php';

class RP_Spintax_Post_Creator {
    
    function __construct(){
        add_action( 'admin_enqueue_scripts', array($this,'enqueue_admin') );
        add_action( 'plugins_loaded', array($this, 'load_internationalization'));
    }
    
    // Add Admin CSS and JS
    static function enqueue_admin(){
        $pluginCSS = esc_url(plugins_url( '/inc/css/admin.css' , __FILE__ ));
        $pluginJS = esc_url(plugins_url( '/inc/js/admin.js' , __FILE__ ));
        
        wp_enqueue_style('rp_spintax_post_creator_style', $pluginCSS, array(), RP_SPINTAX_POST_CREATOR_VERSION);
        wp_enqueue_script('rp_spintax_post_creator_admin_script', $pluginJS, array('jquery'), RP_SPINTAX_POST_CREATOR_VERSION);
    }

    // Languages
    static function load_internationalization() {
        load_plugin_textdomain( 'rp-spintax-post-creator', false, basename(dirname(__FILE__)).'/languages/');
    }

}

new RP_Spintax_Post_Creator();